--- /dev/null
+#!/bin/bash
+set -e
+f=$(scrot -s -e 'echo $f')
+curl -s \
+ -u "ftp@martlubbers.net:$(pass ftp.martlubbers.net/ftp@martlubbers.net)"\
+ -T $f ftp://martlubbers.net/public_html/scr/$f
+echo http://martlubbers.net/scr/$f | xclip
+rm -v $f
+notify-send http://martlubbers.net/scr/$f
# set the network switcher
exec netctltray
+bindsym Pause exec mpc toggle
+bindsym Print exec ~/.local/bin/scr
+
# lock the screen
bindsym $mod+l exec xautolock -locknow
# put a password in the clipboard
-bindsym $mod+p exec passmenu
+bindsym $mod+p exec ~/.local/bin/passmenu
# font for window titles.
font pango:DejaVu Sans Mono 8
# Start i3bar to display a workspace bar (plus the system information i3status
# finds out, if available)
bar {
- status_command i3status
- mode hide
+ status_command i3status
modifier $mod
- font pango:DejaVu Sans Mono 14
+ font pango:DejaVu Sans Mono 12
}
mixer_idx = 0
}
-wireless wlp1s0 {
- format_up = "W: (%quality) %ip"
- format_down = "W: down"
-}
-
-battery 0 {
- format = "%status %percentage (%remaining)"
- format_down = "No Battery"
- status_chr = "⚇ CHR"
- status_bat = "⚡ BAT"
- status_full = "☻ FULL"
- hide_seconds = true
- integer_battery_capacity = true
- path = "/sys/class/power_supply/BAT%d/uevent"
- low_threshold = 10
-}
-
tztime local {
format = "⌚ %Y-%m-%d %H:%M:%S"
}